# BioMASS.jl

[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg)](https://opensource.org/licenses/MIT)
[![Source](https://img.shields.io/badge/source-github-blue)](https://github.com/biomass-dev/BioMASS.jl)
[![Actions Status](https://github.com/biomass-dev/BioMASS.jl/workflows/CI/badge.svg)](https://github.com/biomass-dev/BioMASS.jl/actions)
[![Cancers Paper](https://img.shields.io/badge/DOI-10.3390%2Fcancers12102878-blue)](https://doi.org/10.3390/cancers12102878)

This module provides a Julia interface to the [BioMASS](https://github.com/biomass-dev/biomass) parameter estimation.

The open access publication describing BioMASS is available here:

- Imoto, H., Zhang, S. & Okada, M. A Computational Framework for Prediction and Analysis of Cancer Signaling Dynamics from RNA Sequencing Data—Application to the ErbB Receptor Signaling Pathway. _Cancers_ **12**, 2878 (2020). https://doi.org/10.3390/cancers12102878

## Installation

```
] add BioMASS
```

```@contents
    Pages = [
        "usage/parameter_estimation.md",
        "usage/bifurcation_analysis.md",
    ]
    Depth = 3
```
